# Supplier Quotation

A Supplier Quotation is a formal statement of promise by potential supplier to
supply the goods or services required by a buyer, at specified prices, and
within a specified period. A quotation may also contain terms of sale and
payment, and warranties. Acceptance of quotation by the buyer constitutes an
agreement binding on both parties.

You can make a supplier quotation from a Material Request

#### Supplier Quotation Flow-Chart

![Supplier Quotation](/docs/assets/img/buying/buying_flow.png)

You can also make a Supplier Quotation directly from:

> Buying > Documents > Supplier Quotation > New Supplier Quotation

#### Create Supplier Quotation

<img class="screenshot" alt="Supplier Quotation" src="/docs/assets/img/buying/supplier-quotation.png">

If you have multiple Suppliers who supply you with the same Item, you
usually send out a message (Request for Quote) to various Suppliers. In
many cases, especially if you have centralized buying, you may want to record
all the quotes so that

  * You can easily compare prices in the future
  * Audit whether all Suppliers were given the opportunity to quote.

Supplier Quotations are not necessary for most small businesses. Always
evaluate the cost of collecting information to the value it really provides!
You could only do this for high value items.

#### Taxes
If your Supplier is going to charge you additional taxes or charge like a shipping or insurance charge, you can add it here. It will help you to accurately track your costs. Also, if some of these charges add to the value of the product you will have to mention them in the Taxes table. You can also use templates for your taxes. For more information on setting up your taxes see the Purchase Taxes and Charges Template.

You can select relevant tax by going to "Taxes and Charges" section and adding an entry to the table as shown below,

<img class="screenshot" alt="Supplier Quotation" src="/docs/assets/img/buying/add_taxes_to_doc.png">

Besides, in case of multiple items you can keep track of taxes on each by clicking "Show tax break-up"

<img class="screenshot" alt="Supplier Quotation" src="/docs/assets/img/buying/show_tax_breakup.png">

{next}
